#LiveLike Android Code Challenge

The goal of this challenge is to create an *Flickr search library (not application)* that allows you to search/explore image by tags and display it a grid view (basic simple UI) using Flickr API (https://www.flickr.com/services/api/flickr.photos.search.html)

*This library should be used by end users in their application for searching purpose.*



##*Project:-*


The Flickr search library will be responsible :-


1. API To deliver results based on search query input
2. When no query passed in, result set should be empty
3. API to return the recently published images on flicker
4. A basic default UI which will display list of images from the result in grid form
5. Local storage / Cache mechanism should be handled . Example UseCase → In the absence of connectivity/ network error, the result should be displayed from local storage
6. If search query is updated, the old result set should reset with new one
7. Should support options for pagination 
8. Errors should handled with logs 
9. The Library should be having a minimum SDK version of 16
10. The library should be containing a README.md which will be providing information on how to use the same



###*Use-Case:-*

1. Any App using the library (to get Flickr search), and can have its own custom UI also




###*Hard Requirements:-*

*  ** Local storage should be implemented 
* *The library can be used in sample project without any compilation/build error*
* *The code must be written in Kotlin*
* Pagination support




##*Extra Credit:-*

* ###Unit Test 



####Submission Guidelines:-

* Implement as much as you can in the time allotted. There is no wrong or right answer
* Try not give default UI much importance (Just a very basic UI would be fine) 
* When submitting, email people@livelike.com & megha@livelike.com a compressed zip file of your project and briefly outline what you would implement, if you were given more time.

